<?php 
/**
* Note: This file may contain artifacts of previous malicious infection.
* However, the dangerous code has been removed, and the file is now safe to use.
*/
?>
<?php
session_start();?>
<?php require 'config.php'; ?>
<?php require 'session.php'; ?>
<?php require 'function.php'; ?>

<?php
if (isset($_POST['submit'])){
				$_POST['iklan_status']='BARU';
				$query = $conn->prepare("
				INSERT INTO iklan(
					iklan_status,
					iklan_name,
					iklan_date,
					iklan_deal_start,
					iklan_deal_end,
					iklan_type,
					iklan_user_id,
					iklan_kon_tahun,
					kod_sebut_harga,
					no_rujukan
					
				)
				VALUES( 
					:iklan_status,
					:iklan_name,
					:iklan_date,
					:iklan_deal_start,
					:iklan_deal_end,
					:iklan_type,
					:iklan_user_id,
					:iklan_kon_tahun,
					:kod_sebut_harga,
					:no_rujukan
					
				)
				
				");
				
				$query->bindParam(':iklan_status', $_POST['iklan_status']);
				$query->bindParam(':iklan_name', $_POST['iklan_name']);
				$query->bindParam(':iklan_date', $_POST['iklan_date']);
				$query->bindParam(':iklan_deal_start', $_POST['iklan_deal_start']);
				$query->bindParam(':iklan_deal_end', $_POST['iklan_deal_end']);
				$query->bindParam(':iklan_type', $_POST['iklan_type']);
				$query->bindParam(':iklan_user_id', $_SESSION['id']);
				$query->bindParam(':iklan_kon_tahun', $_POST['iklan_kon_tahun']);
				$query->bindParam(':kod_sebut_harga', $_POST['kod_sebut_harga']);
				$query->bindParam(':no_rujukan', $_POST['no_rujukan']);
				
				//$query->execute();
				
				if ($query->execute()) {
					$message = "Cipta Iklan Berjaya.";
					  $link="senaraiiklan";
					  alert_link($message,$link);
				}
					
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>EQS | Pengurusan Sebut Harga</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <?php include 'template/header.php'; ?>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <?php include 'template/aside.php'; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Cipta Iklan</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Utama</a></li>
              <li class="breadcrumb-item active">Cipta Iklan</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card">
        <div class="card-header">
          <h3 class="card-title">Cipta Iklan Baru</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
              <i class="fas fa-minus"></i>
            </button>
            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
              <i class="fas fa-times"></i>
            </button>
          </div>
        </div>
        <div class="card-body">
         <form class="form-horizontal" method="post" enctype="multipart/form-data">
		 
			<div class="form-group row">
			<?php $query = $conn->prepare("SELECT * FROM konfigurasi");
                    $query->execute();
        			$tahun = $query->fetchAll();
					?>
			<label  class="col-sm-2 col-form-label">Tahun Iklan</label>
			<div class="col-sm-10">
			<select class="form-control" name="iklan_kon_tahun">
			<option>Sila Pilih</option>
			<?php foreach($tahun as $year) { ?>
			<option value="<?php echo $year['kon_tahun']; ?>"><?php echo $year['kon_tahun']; ?></option>
			<?php } ?>

			</select>
			</div>
			</div>
			
			<div class="form-group row">
			<label  class="col-sm-2 col-form-label">Nama Iklan</label>
			<div class="col-sm-10">
			<input type="text" class="form-control" placeholder="Nama Iklan" name="iklan_name">
			</div>
			</div>
			
			<div class="form-group row">
			<label class="col-sm-2 col-form-label">Tarikh Surat</label>
			<div class="col-sm-2">
			<input type="date" class="form-control" placeholder="Nama Sekolah" name="iklan_date">
			</div>
			</div>
			
			<div class="form-group row">
			<label  class="col-sm-2 col-form-label">Kod Sebut Harga</label>
			<div class="col-sm-10">
			<input type="text" class="form-control" placeholder="Kod Sebut Harga" name="kod_sebut_harga">
			</div>
			</div>
			
			<div class="form-group row">
			<label  class="col-sm-2 col-form-label">No. Rujukan</label>
			<div class="col-sm-10">
			<input type="text" class="form-control" placeholder="No. Rujukan Surat" name="no_rujukan">
			</div>
			</div>
			
			<div class="form-group row">
			<label class="col-sm-2 col-form-label">Tarikh Pejanjian</label>
			<div class="col-sm-2">
			<input type="date" class="form-control" placeholder="Tarikh Mula" name="iklan_deal_start">
			</div>
			<label class="col-sm-1 col-form-label" ><center>Hingga</center></label>
			<div class="col-sm-2">
			<input type="date" class="form-control" placeholder="Tarikh Akhir" name="iklan_deal_end">
			</div>
			</div>
			
			<div class="form-group row">
			<label  class="col-sm-2 col-form-label">Jenis Iklan</label>
			<div class="col-sm-10">
			<select class="form-control" name="iklan_type">
			<option>Sila Pilih</option>
			<option value="KEDAI BUKU">Kedai Buku</option>
			<option value="KANTIN">Kantin</option>

			</select>
			</div>
			</div>


			
			<div class="form-group row">
			<div class="offset-sm-2 col-sm-10">
			<button type="submit" class="btn btn-danger" name="submit">Submit</button>
			</div>
			</div>
			</form>
        </div>
        <!-- /.card-body -->
        <div class="card-footer">
          Footer
        </div>
        <!-- /.card-footer-->
      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <?php include 'template/footer.php'; ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->

</body>
</html>
